## python-eventlet 0.9.12

=== debian/changelog ===
python-eventlet (0.9.12-0ubuntu2) maverick; urgency=low

  * Add dependency on python-greenlet (LP: #657047)

 -- Soren Hansen <soren@ubuntu.com>  Fri, 08 Oct 2010 21:49:53 +0200

python-eventlet (0.9.12-0ubuntu1) maverick; urgency=low

  * New upstream release. (FFe: LP: #645899)

 -- Soren Hansen <soren@ubuntu.com>  Tue, 28 Sep 2010 21:20:32 +0200

python-eventlet (0.9.10-0ubuntu1) maverick; urgency=low

  * Initial upload to Ubuntu. (FFe: LP: #620368)

 -- Soren Hansen <soren@ubuntu.com>  Mon, 23 Aug 2010 08:54:30 +0200

## python-eventlet 0.13.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=../:$(PYTHONPATH) sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage  to generate a docstring coverage report"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Eventlet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Eventlet.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."
	      
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) _build/coverage
	@echo "Coverage report finished, look at the " \
		  "results in _build/coverage/python.txt."

## python-eventlet 0.9.14

=== debian/changelog ===
python-eventlet (0.9.14-0ubuntu2) natty; urgency=low

  * Clean up left over .pyc files. 

 -- Soren Hansen <soren@ubuntu.com>  Mon, 14 Feb 2011 15:18:58 +0100

python-eventlet (0.9.14-0ubuntu1) natty; urgency=low

  * New upstream release
  * wrap-greenpipe.patch:
    - Stop eventlet's subprocess module from attempting wrap GreenPipe
      instances in another layer of GreenPipe.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 14 Feb 2011 11:36:08 +0100

python-eventlet (0.9.13-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 31 Oct 2010 20:28:03 +0530

=== debian/control ===
Source: python-eventlet
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 7),
 python-all-dev (>= 2.5),
 python-setuptools,
 python-support
Standards-Version: 3.9.1
Homepage: http://eventlet.net

Package: python-eventlet
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-greenlet
Provides: ${python:Provides}
Description: A concurrent networking library for Python
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	dh clean
	find . -name "*\.pyc" -delete

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/e/eventlet/eventlet-(.*)\.(.*)\.(.*)\.tar\.gz

## python-eventlet 0.9.15

=== debian/changelog ===
python-eventlet (0.9.15-0ubuntu4) oneiric; urgency=low

  * Refresh retry-on-timeout.patch to address failing tests.
  * Make test suite failure fatal again.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 06 Jun 2011 11:33:21 +0200

python-eventlet (0.9.15-0ubuntu3) oneiric; urgency=low

  * Don't fail if the test suite doesn't pass (which it doesn't).

 -- Soren Hansen <soren@ubuntu.com>  Wed, 25 May 2011 22:16:42 +0200

python-eventlet (0.9.15-0ubuntu2) oneiric; urgency=low

  * retry-on-timeout.patch: This addresses a problem where a timeout fires
    even though the connection was actually correctly established. (LP:
    #771512)
  * reuseaddr.patch: Make sure SO_REUSEADDR is set.
  * mysql-import-traceback.patch: Add missing import in the mysql tests.
  * Add python-greenlet dependency.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 25 May 2011 22:02:42 +0200

python-eventlet (0.9.15-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Drop wrap-greenpipe.patch: Included upstream.
    - Drop disable-psycopg-patcher-test.patch: Included upstream.
  * Merge packaging changes from Debian.
  * Disable zmq (tests do not pass).

 -- Soren Hansen <soren@ubuntu.com>  Tue, 17 May 2011 11:52:34 +0200

python-eventlet (0.9.14-1) unstable; urgency=low

  * Initial release in Debian. (Closes: #532140)
    - Maintainer is Debian Python Modules team.
    - Add myself and Monty to Uploaders.
    - Add Vcs entries.
  * Change architecture to all, this is a pure-Python module.
    - Build-Depend on python-all.
  * Bump debhelper compat and Build-Depend to 8.
  * Drop unnecessary article from Description.
  * Switch to dh_python2.
    - Drop pycompat, deprecated.
    - Use X-Python-Version instead of pyversions. Bump python-all Build-Depend
      to 2.6.5-13~.
    - Breaks: ${python:Breaks}.
    - Let dh_python2 determine Python dependencies.
  * Run test suite during build.
    - Add Build-Depends on python-httplib2, python-nose, python-openssl and
      python-zmq.
    - disable-psycopg-patcher-test.patch: Use the postgres_requirement
      function from tests.db_pool_test in tests.patcher_psycopg_test, to skip
      unless Postgres is available.
  * Build Sphinx documentation.
    - Drop doc/modules/zmq.rst, it isn't used and requires Sphinx 1.0.
  * Include README.twisted.
  * Use python-mock instead of bundled module.
  * Update copyright to the latest format, and rework to group by licence.
    Include all BSD variants present.
  * Drop postinst, not of interest to Debian. Ubuntu can drop it after natty.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 27 Feb 2011 14:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,31 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
-Build-Depends: debhelper (>= 7),
- python-all-dev (>= 2.5),
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders:
+ Stefano Rivera <stefanor@debian.org>,
+ Monty Taylor <mordred@inaugust.com>
+Build-Depends:
+ debhelper (>= 8),
+ python-all (>= 2.6.5-13~),
+ python-greenlet,
+ python-httplib2,
+ python-nose,
+ python-mock,
+ python-openssl,
  python-setuptools,
- python-support
+ python-sphinx
+X-Python-Version: >= 2.5
 Standards-Version: 3.9.1
 Homepage: http://eventlet.net
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-eventlet/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-eventlet/trunk/
 
 Package: python-eventlet
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-greenlet
-Provides: ${python:Provides}
-Description: A concurrent networking library for Python
+Architecture: all
+Depends: libjs-jquery, python-greenlet, ${misc:Depends}, ${python:Depends}
+Breaks: ${python:Breaks}
+Description: concurrent networking library for Python
  Eventlet allows you to change how you run your code, not how you write it.
  .
  It uses epoll or libevent for highly scalable non-blocking I/O.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	/bin/echo -e '# On Debian, we use the packaged mock\n'\
	'from __future__ import absolute_import\n'\
	'from mock import *' > tests/mock.py

	dh_auto_build

	rm -rf doc/_build/html
	# Not linked into produced documentation, and breaks on Sphinx < 1
	rm -f doc/modules/zmq.rst
	PYTHONPATH=. sphinx-build -N -bhtml doc/ doc/_build/html

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
		$$python setup.py test; \
	done
endif

override_dh_installdocs:
	dh_installdocs -Xhtml/.buildinfo -Xhtml/.doctrees -Xhtml/_static/jquery.js

override_dh_compress:
	dh_compress -X.js -X.inv

override_dh_clean:
	dh_clean
	rm -rf *.egg-info
	rm -rf doc/_build/html
	rm -f tests/mock.py

## python-eventlet 0.9.16

=== debian/changelog ===
python-eventlet (0.9.16-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Dropped reuseaddr.patch: Included upstream.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 08 Jun 2011 15:13:04 +0200

python-eventlet (0.9.15-1) unstable; urgency=low

  * New upstream release.
    - Drop all patches, accepted upstream.
  * Correct DEP3 headers (first line of Description is the subject)
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Drop Breaks: ${python:Breaks}, no longer used by dh_python2.
  * debian/copyright: Update to DEP5 Format r174.
  * Restore doc/modules/zmq.rst and BD on Sphinx 1.0.
  * reuseaddr.patch: The logic for deciding whether to use SO_REUSEADDR was
    inverted.
  * retry-on-timeout.patch: If an operation times out, try one last time.
    (LP: #771512)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 02 Jun 2011 16:18:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Stefano Rivera <stefanor@debian.org>,
  Monty Taylor <mordred@inaugust.com>
@@ -15,17 +14,17 @@
  python-mock,
  python-openssl,
  python-setuptools,
- python-sphinx
+ python-sphinx (>= 1.0),
+ python-zmq
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://eventlet.net
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-eventlet/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-eventlet/trunk/
 
 Package: python-eventlet
 Architecture: all
-Depends: libjs-jquery, python-greenlet, ${misc:Depends}, ${python:Depends}
-Breaks: ${python:Breaks}
+Depends: libjs-jquery, ${misc:Depends}, ${python:Depends}
 Description: concurrent networking library for Python
  Eventlet allows you to change how you run your code, not how you write it.
  .

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 	dh_auto_build
 
 	rm -rf doc/_build/html
-	# Not linked into produced documentation, and breaks on Sphinx < 1
-	rm -f doc/modules/zmq.rst
 	PYTHONPATH=. sphinx-build -N -bhtml doc/ doc/_build/html
 
 override_dh_auto_test:

## python-eventlet 0.9.17

=== debian/changelog ===
python-eventlet (0.9.17-0ubuntu1.1~cloud0) precise-folsom; urgency=low

  * New stable update for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Mon, 14 Jan 2013 10:52:59 -0800

python-eventlet (0.9.17-0ubuntu1.1) quantal-proposed; urgency=low

  * debian/patches/fix_waitpid_rc.patch: Properly block on child processes
    and return correct return codes.  Cherry-picked from upstream VCS.
    (LP: #1078232)

 -- Adam Gandelman <adamg@canonical.com>  Mon, 26 Nov 2012 09:49:34 -0800

python-eventlet (0.9.17-0ubuntu1) quantal; urgency=low

  * New upstream reversion:
    - debian/patches/threading-leak: dropped no longer needed.
    - debian/patches/retry-on-timeout: dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Aug 2012 19:25:01 -0500

python-eventlet (0.9.16-2ubuntu1) quantal; urgency=low

  * Merge from Debian, remaining changes:
    - Drop python-zmq from build depends, it's currently in universe.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 18 May 2012 13:36:26 +0100

python-eventlet (0.9.16-2) unstable; urgency=low

  [ Soren Hansen ]
  * Add myself to Uploaders.

  [ Stefano Rivera ]
  * Use dh_sphinxdoc.
    - Bump python-sphinx Build-Depends.
    - Remove dh_installdocs override.
    - Don't manually symlink jquery.js to libjs-jquery.
  * Don't compress Sphinx _sources.
  * Include examples.
  * Apply upstream threading related memory leak patch (Closes: #661781)
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update machine-readable copyright format to 1.0.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 21 Mar 2012 17:31:35 +0200

python-eventlet (0.9.16-1ubuntu4) precise; urgency=low

  * Fixed syntax error in debian/rules causing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 03 Mar 2012 14:44:07 -0500

python-eventlet (0.9.16-1ubuntu3) precise; urgency=low

  * Let tests past.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Mar 2012 14:32:51 -0500

python-eventlet (0.9.16-1ubuntu2) precise; urgency=low

  * debian/patches/eventlet-leak.patch: Fixes memory leak in nova.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Mar 2012 08:57:57 -0500

python-eventlet (0.9.16-1ubuntu1) precise; urgency=low

  * debian/control: Dropped python-zmq from build depends, it's currently
    in universe.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 19 Oct 2011 10:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Stefano Rivera <stefanor@debian.org>,
- Monty Taylor <mordred@inaugust.com>
+ Monty Taylor <mordred@inaugust.com>,
+ Soren Hansen <soren@ubuntu.com>
 Build-Depends:
  debhelper (>= 8),
  python-all (>= 2.6.5-13~),
  python-greenlet,
  python-httplib2,
+ python-mock,
  python-nose,
- python-mock,
  python-openssl,
  python-setuptools,
- python-sphinx (>= 1.0),
- python-zmq
+ python-sphinx (>= 1.0.7+dfsg),
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://eventlet.net
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-eventlet/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-eventlet/trunk/
 
 Package: python-eventlet
 Architecture: all
-Depends: libjs-jquery, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
 Description: concurrent networking library for Python
  Eventlet allows you to change how you run your code, not how you write it.
  .

## python-eventlet 0.12.1

=== debian/changelog ===
python-eventlet (0.12.1-0ubuntu1) raring; urgency=low

  * New upstream release:
    - Dropped debian/patches/fix_waitpid_rc.patch: Dropped no longer needed.
  * Bump standards to 3.9.4
  * debian/patches/skip-failing-tests.patch: Skip failing tests.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Feb 2013 07:02:32 -0600

python-eventlet (0.9.17-0ubuntu2) raring; urgency=low

  * debian/patches/fix_waitpid_rc.patch: Properly block on child processes
    and return correct return codes.  Cherry-picked from upstream VCS.
    (LP: #1078232)

 -- Adam Gandelman <adamg@canonical.com>  Mon, 26 Nov 2012 09:13:04 -0800

## python-eventlet 0.13.0

=== debian/changelog ===
python-eventlet (0.13.0-1ubuntu2.3) trusty-proposed; urgency=medium

  * SRU: LP: #1423675, LP: #1371291 (taken from 0.13.0-1ubuntu3.2).
  * Fix build failure with python2.7 and PEP 466.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2015 13:54:08 +0100

python-eventlet (0.13.0-1ubuntu2.2) trusty; urgency=medium

  * d/p/handle-ENOTCONN.patch: Ensure that ENOTCONN socket errors are
    raised correctly, resolving issues with disconnected syslog sockets
    in OpenStack Glance (LP: #1452312).

 -- James Page <james.page@ubuntu.com>  Tue, 26 May 2015 17:22:24 +0100

python-eventlet (0.13.0-1ubuntu2.1) trusty-proposed; urgency=medium

  * debian/patches/socket-timeout.patch: Cherry-pick patch to provide
    socket_timeout support (LP: #1419117).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Feb 2015 12:25:44 -0500

python-eventlet (0.13.0-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:51:32 +0000

python-eventlet (0.13.0-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/skip-failing-tests: Skipped tests failing on buildds.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Oct 2013 10:34:13 -0400

python-eventlet (0.13.0-1) unstable; urgency=low

  [ Stefano Rivera ]
  * Re-add entry for 0.9.16-3 to the changelog, it was accidentally dropped.
  * Re-apply Uploaders changes from 0.9.16-3 that were lost.

  [ Thomas Goirand ]
  * New upstream release.
  * Patches doc to avoid FTBFS.
  * Allow the unit test to fail, because we have a "test is too long" error.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2013 08:23:05 +0000

python-eventlet (0.13.0-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Jul 2013 13:21:22 -0500

python-eventlet (0.12.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Uploading to sid.
  * Added rm -rf build in the clean target to be able to rebuild twice.
  * Removes a failing assert in tests.patcher_test.Threading.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 03:18:49 +0000

python-eventlet (0.12.1-1) experimental; urgency=low

  * New upstream release, still upload to experimental.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 02 Mar 2013 18:05:59 +0100

python-eventlet (0.12.0-1) experimental; urgency=low

  * New upstream version.
  * Uploading to experimental during the freeze.
  * X-Python-Version now >= 2.6.
  * Now using compat and debhelper 9.
  * Requires python-all (>= 2.6.6-3~).
  * Drops retry-on-timeout and threading-leak patches no longer needed.
  * Adds Ubuntu patch for disabling failing test.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Feb 2013 07:25:50 +0000

python-eventlet (0.9.16-3) unstable; urgency=low

  * New maintainer (closes: #685319).

  [ Michael Gilbert ]
  * Depend python-greenlet >= 0.3.1-2.1, which provides the needed egg-info
    file fixing a build failure (closes: #684852).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 17 Nov 2012 14:16:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders:
- Stefano Rivera <stefanor@debian.org>,
- Monty Taylor <mordred@inaugust.com>,
- Soren Hansen <soren@ubuntu.com>
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Build-Depends:
  debhelper (>= 8),
  python-all (>= 2.6.5-13~),
@@ -18,7 +15,7 @@
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://eventlet.net
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-eventlet/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-eventlet/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,sphinxdoc
 
 override_dh_auto_build:
 	/bin/echo -e '# On Debian, we use the packaged mock\n'\
@@ -21,11 +21,8 @@
 	done
 endif
 
-override_dh_installdocs:
-	dh_installdocs -Xhtml/.buildinfo -Xhtml/.doctrees -Xhtml/_static/jquery.js
-
 override_dh_compress:
-	dh_compress -X.js -X.inv
+	dh_compress -X.inv -X.txt
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/e/eventlet/eventlet-(.*)\.tar\.gz

## python-eventlet 0.16.1

=== debian/changelog ===
python-eventlet (0.16.1-0ubuntu1.1~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 27 May 2015 20:54:27 +0000

python-eventlet (0.16.1-0ubuntu1.1) vivid; urgency=medium

  * d/p/handle-ENOTCONN.patch: Ensure that ENOTCONN socket errors are
    raised correctly, resolving issues with disconnected syslog sockets
    in OpenStack Glance (LP: #1452312).

 -- James Page <james.page@ubuntu.com>  Tue, 26 May 2015 17:28:40 +0100

python-eventlet (0.16.1-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/docs: Drop install of twisted documentation, no longer
      supported upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 10 Feb 2015 10:21:02 +0000

python-eventlet (0.15.2-1ubuntu1) vivid; urgency=medium

  * debian/control: python-zmq is optional 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 13 Nov 2014 08:49:43 -0500

python-eventlet (0.15.2-1) experimental; urgency=medium

  * Team upload.
  * Added myself as uploader.
  * New upstream release (Closes: #718036).
  * Uploading to experimental just before the freeze.
  * Simplified sphinx-build doc building process.
  * Refreshed patches.
  * Using a quilt patch to "unvendorize" mock.py, instead of using
    debian/rules hacks.
  * Using extend-diff-ignore to ignore egg-info changes instead of debian/rules
    hacks. This makes it easier to produce quilt patches.
  * Ran wrap-and-sort.
  * Removed now useless X-Python-Version: >= 2.6.
  * Standards-Version is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Sep 2014 14:53:19 +0000

=== debian/control ===
Source: python-eventlet
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
#               python3-all (>= 3.2),
#               python3-setuptools
Build-Depends-Indep: python-greenlet (>= 0.3.1-2.1),
                     python-httplib2,
                     python-mock,
                     python-nose,
                     python-openssl
#                     python3-greenlet (>= 0.3.1-2.1),
#                     python3-httplib2,
#                     python3-mock,
#                     python3-nose,
#                     python3-openssl,
#                     python3-zmq
Standards-Version: 3.9.5
Homepage: http://eventlet.net
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-eventlet/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-eventlet/trunk/

Package: python-eventlet
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}
Description: concurrent networking library - Python 2.x
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 2.x module.

#Package: python3-eventlet
#Architecture: all
#Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
#Description: concurrent networking library - Python 3.x
# Eventlet allows you to change how you run your code, not how you write it.
# .
# It uses epoll or libevent for highly scalable non-blocking I/O.
# Coroutines ensure that the developer uses a blocking style of programming
# that is similar to threading, but provide the benefits of non-blocking I/O.
# The event dispatch is implicit, which means you can easily use Eventlet from
# the Python interpreter, or as a small part of a larger application.
# .
# It's easy to get started using Eventlet, and easy to convert existing
# applications to use it. Start off by looking at examples, common design
# patterns, and the list of the basic API primitives.
# .
# This package provides the Python 3.x module.
#
#Package: python-eventlet-doc
#Architecture: all
#Section: doc
#Depends: ${misc:Depends}, ${sphinxdoc:Depends}
#Description: concurrent networking library - doc
# Eventlet allows you to change how you run your code, not how you write it.
# .
# It uses epoll or libevent for highly scalable non-blocking I/O.
# Coroutines ensure that the developer uses a blocking style of programming
# that is similar to threading, but provide the benefits of non-blocking I/O.
# The event dispatch is implicit, which means you can easily use Eventlet from
# the Python interpreter, or as a small part of a larger application.
# .
# It's easy to get started using Eventlet, and easy to convert existing
# applications to use it. Start off by looking at examples, common design
# patterns, and the list of the basic API primitives.
# .
# This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ -O--buildsystem=python_distutils --with python2,sphinxdoc
#	dh $@ -O--buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-eventlet; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-eventlet; \
#	done

override_dh_sphinxdoc:
	#PYTHONPATH=. sphinx-build -N -b html doc/ debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	PYTHONPATH=. sphinx-build -N -b html doc/ debian/python-eventlet/usr/share/doc/python-eventlet/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for i in $(PYTHONS) $(PYTHON3S) ; do \
		python$$i setup.py test || true; \
	done
endif

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-eventlet 0.17.4

=== debian/changelog ===
python-eventlet (0.17.4-2ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 09 Jun 2015 09:08:07 +0000

python-eventlet (0.17.4-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop python{3}-zmq from BD's as not in Ubuntu main.
  * d/p/handle-ENOTCONN.patch: Dropped, included in 0.17.4-2.

 -- James Page <james.page@ubuntu.com>  Mon, 01 Jun 2015 10:14:40 +0100

python-eventlet (0.17.4-2) unstable; urgency=medium

  * Added greenio_send_was_running_empty_loop_on_ENOTCONN.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 May 2015 21:33:41 +0000

python-eventlet (0.17.4-1) unstable; urgency=medium

  * New upstream release.
  * Switched to PKG OpenStack <openstack-devel@lists.alioth.debian.org> team:
    - Updated Maintainer:.
    - Fixed VCS URLs (now using Git).
    - Added openstack-pkg-tools as build-depends.
    - Filled upstream VCS URL in debian/rules.
  * Updated debian/copyright.
  * Added dh-python as build-depends.
  * Ran wrap-and-sort -t -a.
  * Removed version for python-greenlet build-depends (the required version is
    even available in Wheezy, and Jessie is out...).
  * Removed privacy breach in example/websocket*.html
  * Removed duplicate doc-base registration.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 May 2015 14:01:28 +0200

python-eventlet (0.17.3-4) unstable; urgency=medium

  * Enforce default protocol to be TLSv1 and not SSLv23.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 May 2015 17:20:12 +0000

python-eventlet (0.17.3-3) unstable; urgency=medium

  * Enforce TLSv1 always, instead of the more permissive SSLv23.
  * Standards-Version bumped to 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 May 2015 17:09:29 +0000

python-eventlet (0.17.3-2ubuntu2) wily; urgency=medium

  * d/p/handle-ENOTCONN.patch: Ensure that ENOTCONN socket errors are
    raised correctly, resolving issues with disconnected syslog sockets
    in OpenStack Glance (LP: #1452312).

 -- James Page <james.page@ubuntu.com>  Tue, 26 May 2015 16:45:17 +0100

python-eventlet (0.17.3-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: python-zmq is optional.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 10 May 2015 18:57:53 -0400

python-eventlet (0.17.3-2) unstable; urgency=medium

  * Activates --with python3 which was missing.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2015 20:58:47 +0000

python-eventlet (0.17.3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added Python 3 package, since upstream has it now.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 12:34:57 +0000

=== debian/control ===
Source: python-eventlet
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-greenlet,
                     python-httplib2,
                     python-mock,
                     python-nose,
                     python-openssl,
                     python3-greenlet,
                     python3-httplib2,
                     python3-mock,
                     python3-nose,
                     python3-openssl,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-eventlet.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-eventlet.git
Homepage: http://eventlet.net

Package: python-eventlet
Architecture: all
Depends: python-greenlet,
         ${misc:Depends},
         ${python:Depends},
Description: concurrent networking library - Python 2.x
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 2.x module.

Package: python3-eventlet
Architecture: all
Depends: python3-greenlet,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: concurrent networking library - Python 3.x
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the Python 3.x module.

Package: python-eventlet-doc
Architecture: all
Section: doc
Breaks: python-eventlet (<< 0.17.4)
Replaces: python-eventlet (<< 0.17.4)
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: concurrent networking library - doc
 Eventlet allows you to change how you run your code, not how you write it.
 .
 It uses epoll or libevent for highly scalable non-blocking I/O.
 Coroutines ensure that the developer uses a blocking style of programming
 that is similar to threading, but provide the benefits of non-blocking I/O.
 The event dispatch is implicit, which means you can easily use Eventlet from
 the Python interpreter, or as a small part of a larger application.
 .
 It's easy to get started using Eventlet, and easy to convert existing
 applications to use it. Start off by looking at examples, common design
 patterns, and the list of the basic API primitives.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/eventlet/eventlet.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ -O--buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-eventlet; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-eventlet; \
	done

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for i in $(PYTHONS) $(PYTHON3S) ; do \
		python$$i setup.py test || true; \
	done
endif

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-eventlet 0.18.4

=== debian/changelog ===
python-eventlet (0.18.4-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - debian/control: Drop python{3}-zmq from BD's as not in Ubuntu main.
  * d/control: Add netbase to BD's so lookups of service names don't
    fail.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Feb 2016 22:16:46 +0000

python-eventlet (0.18.4-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Removed greenio_send_was_running_empty_loop_on_ENOTCONN.patch
    (Applied upstream)
  * Rebased use-packaged-python-mock-rather-than-embedded.patch
  * Rebased set-defaults-to-be-tlsv1-not-sslv23.patch
  * Rebased remove-self.assert-in-tests.patcher_test.py.patch
  * Added python(3)-dnspython build dependency.
  * Fixed VCS URLs (https).
  * Standards-Version is 3.9.7 now (no change).
  * Fixed upstream changelog.
  * Added Debian tests.
  * Added myself as uploader.

  [ Corey Bryant ]
  * New upstream release.

 -- Ondřej Nový <novy@ondrej.org>  Fri, 26 Feb 2016 21:44:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,33 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.hu>,
+Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
            Thomas Goirand <zigo@debian.org>,
+           Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
+               netbase,
                openstack-pkg-tools,
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: python-greenlet,
+Build-Depends-Indep: python-dnspython,
+                     python-greenlet,
                      python-httplib2,
                      python-mock,
                      python-nose,
                      python-openssl,
+                     python3-dnspython,
                      python3-greenlet,
                      python3-httplib2,
                      python3-mock,
                      python3-nose,
                      python3-openssl,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-eventlet.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-eventlet.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-eventlet.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-eventlet.git
 Homepage: http://eventlet.net
 
 Package: python-eventlet
@@ -72,8 +76,8 @@
 Package: python-eventlet-doc
 Architecture: all
 Section: doc
-Breaks: python-eventlet (<< 0.17.4)
-Replaces: python-eventlet (<< 0.17.4)
+Breaks: python-eventlet (<< 0.17.4),
+Replaces: python-eventlet (<< 0.17.4),
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: concurrent networking library - doc

=== debian/tests/control ===
Tests: listen listen3
Depends: python-eventlet,
         python3-eventlet,

## python-eventlet 0.19.0

=== debian/changelog ===
python-eventlet (0.19.0-6) unstable; urgency=medium

  * Removed non-deterministic test leading to FTBFS (Closes: #857893).

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Mar 2017 10:21:30 +0100

python-eventlet (0.19.0-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper version to 10

  [ Ondřej Kobližek ]
  * Patched test_getaddrinfo due netbase update (Closes: #850508)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Thu, 12 Jan 2017 16:27:04 +0100

python-eventlet (0.19.0-4) unstable; urgency=medium

  * Patch out intersphinx extension (Closes: #840092).

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Oct 2016 11:52:07 +0200

python-eventlet (0.19.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Add remove-test_import_patched_defaults.patch.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 09:27:11 +0200

python-eventlet (0.19.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/{control,copyright}: Use my @debian.org email address
  * d/p/use-packaged-python-mock-rather-than-embedded.patch:
    Rebased and fixed for new release
  * Dropped
    - d/p/enforce-tlsv1-always.patch
    - d/p/set-defaults-to-be-tlsv1-not-sslv23.patch
    This patches was setting TLSv1 protocol as only allowed and don't
    allowed TLS 1.1 + 1.2. Eventlet wrapper should not change SSL settings,
    users should use ssl.create_default_context for better/safe defaults.
  * Dropped d/p/use-packaged-python-mock-rather-than-embedded.patch
    - Upstream is using own version of mock and don't want to use mock as deps
      (https://github.com/eventlet/eventlet/pull/337)
  * Require build depends packages version at least upstream is testing in CI
  * Added upstream patch d/p/greendns_tests_fix.patch which fix building on
    Python 3.5

  [ Thomas Goirand ]
  * Add allow-more-busy-cpu.patch, as tests are failing in Jenkins.
  * Using pkgos-dh_auto_install from openstack-pkg-tools (>= 52~).
  * Correctly tests with nose & Py3.
  * Remove tests expecting timeout on 192.0.2.1.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Aug 2016 11:13:34 +0200

python-eventlet (0.19.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Added python-subprocess32 to build dependencies
  * Run nosetests during build and don't ignore errors
  * Added suggests to documentation package

  [ James Page ]
  * d/control: Add netbase to BD's, enabling tests that lookup
    ports using service names.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 04 Jun 2016 14:12:28 +0200

python-eventlet (0.18.4-3) unstable; urgency=medium

  * REALLY uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 20:51:44 +0000

python-eventlet (0.18.4-2) experimental; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:44:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: python-eventlet
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ondřej Nový <novy@ondrej.org>,
-Build-Depends: debhelper (>= 9),
+           Ondřej Nový <onovy@debian.org>,
+Build-Depends: debhelper (>= 10),
                dh-python,
                netbase,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: python-dnspython,
+Build-Depends-Indep: python-dnspython (>= 1.14.0),
                      python-greenlet,
                      python-httplib2,
-                     python-mock,
                      python-nose,
-                     python-openssl,
-                     python3-dnspython,
+                     python-openssl (>= 16.0.0),
+                     python-subprocess32,
+                     python-zmq (>= 13.1.0),
+                     python3-dnspython (>= 1.14.0),
                      python3-greenlet,
                      python3-httplib2,
-                     python3-mock,
                      python3-nose,
-                     python3-openssl,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-eventlet.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-eventlet.git
+                     python3-openssl (>= 16.0.0),
+                     python3-zmq (>= 13.1.0),
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-eventlet
+Vcs-Git: https://git.openstack.org/openstack/deb-python-eventlet -b debian/newton
 Homepage: http://eventlet.net
 
 Package: python-eventlet
@@ -37,6 +37,7 @@
 Depends: python-greenlet,
          ${misc:Depends},
          ${python:Depends},
+Suggests: python-eventlet-doc
 Description: concurrent networking library - Python 2.x
  Eventlet allows you to change how you run your code, not how you write it.
  .
@@ -58,6 +59,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
+Suggests: python-eventlet-doc
 Description: concurrent networking library - Python 3.x
  Eventlet allows you to change how you run your code, not how you write it.
  .
@@ -76,8 +78,8 @@
 Package: python-eventlet-doc
 Architecture: all
 Section: doc
-Breaks: python-eventlet (<< 0.17.4),
-Replaces: python-eventlet (<< 0.17.4),
+Breaks: python-eventlet (<< 0.17.4)
+Replaces: python-eventlet (<< 0.17.4)
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: concurrent networking library - doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/eventlet/eventlet.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ -O--buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -N -b html doc $(CURDIR)/debian/python-eventlet-doc/usr/share/doc/python-eventlet-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for i in 2.7 $(PYTHON3S) ; do \
		python$$i -m "nose" --verbose tests/ ; \
	done
endif

override_dh_compress:
	dh_compress -X.inv -X.txt

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs NEWS
